Subject: Re: newlib, uclib

From: Wolfgang Denk <[email-masked]>
Date: Thu, 06 Jul 2000 18:57:13 +0200

In message <[email-masked]> Tom Roberts wrote:
>
> [email-masked] wrote:
> > In order to build a commercially successful product I have to reduce the footprint of the system.
> > Having a quick look at the files showed me, that the largest files are the libs (libc.so.6 = 4M) ... as u all know.
>
> Initially I also thought I would have to strip down the libraries
> to reduce their footprint. But then I realized that Linux is a demand-
> paged system, and only the pages which actually get used will be
> loaded into memory. In our case only memory is an issue, the disk
> space required is not important. So making libc include _everything_

You have a disk, then.

Ruedi is probably on an embedded system, loading a compressed  initrd
image from Flash into a ramdisk.

Both flash and RAM are resources which get tight all too often.

Wolfgang Denk

--
Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
Phone: (+49)-8142-4596-87  Fax: (+49)-8142-4596-88  Email: [email-masked]
How many hardware guys does it take to change a light bulb? "Well the
diagnostics say it's fine buddy, so it's a software problem."

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/